Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.impl
Class ConnectorCertificateChecker

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.impl.ConnectorCertificateChecker

All Implemented Interfaces:
  CertificateChecker

    public class ConnectorCertificateChecker

extends Object
implements CertificateChecker

Connector Certificate checker used by the ETEE library. Implementation of `CertificateChecker`

Constructor Summary
`ConnectorCertificateChecker()`

Method Summary
`boolean` | `isCertificateRevoked(File certFile)`
`boolean` | `isCertificateRevoked(File certFile, org.joda.time.DateTime validOn)`
`boolean` | `isCertificateRevoked(X509Certificate cert)`
`boolean` | `isCertificateRevoked(X509Certificate cert, org.joda.time.DateTime validOn)`
`boolean` | `isValidCertificateChain(List<X509Certificate> certificateChain)`
`boolean` | `isValidCertificateChain(List<X509Certificate> certificateChain, org.joda.time.DateTime validOn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorCertificateChecker

    public ConnectorCertificateChecker()

Method Detail

### isCertificateRevoked

    public boolean isCertificateRevoked(File certFile)
                                 throws TechnicalConnectorException

  Specified by:
    `isCertificateRevoked` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    public boolean isCertificateRevoked(File certFile,
                                        org.joda.time.DateTime validOn)
                                 throws TechnicalConnectorException

  Specified by:
    `isCertificateRevoked` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    public boolean isCertificateRevoked(X509Certificate cert)
                                 throws TechnicalConnectorException

  Specified by:
    `isCertificateRevoked` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

### isCertificateRevoked

    public boolean isCertificateRevoked(X509Certificate cert,
                                        org.joda.time.DateTime validOn)
                                 throws TechnicalConnectorException

  Specified by:
    `isCertificateRevoked` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

### isValidCertificateChain

    public boolean isValidCertificateChain(List<X509Certificate> certificateChain)
                                    throws TechnicalConnectorException

  Specified by:
    `isValidCertificateChain` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

### isValidCertificateChain

    public boolean isValidCertificateChain(List<X509Certificate> certificateChain,
                                           org.joda.time.DateTime validOn)
                                    throws TechnicalConnectorException

  Specified by:
    `isValidCertificateChain` in interface `CertificateChecker`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.